Subject: Re: Why is --graph --max-count=n so much slower than --graph HEAD~n..?

From: Mitchel Humpherys <[email-masked]>
Date: Tue, 20 May 2014 17:13:34 -0700

On Tue, May 20 2014 at 03:50:43 PM, Junio C Hamano <[email-masked]> wrote:
> Mitchel Humpherys <[email-masked]> writes:
>
>> I've noticed that --max-count doesn't seem to speed up `git log --graph'
>> computation time.
>
> AFAIK, --graph wants to compute the whole history and the max-count
> only affects the output phase after --graph does its computation.
>
> Besides, "log --max-count=n" and "log HEAD~n.." compute completely
> different things, so the comparison is apples and oranges.

Yes, apples and oranges in a black box :). I provided the
HEAD~n.. measurements just to show that we can get (almost) the exact
same output another way and it's much faster. It just "seems like"
--max-count=n should speed things up as n decreases...

-- 
Mitch